<html>
    <head id="mainHead">
        <title>Technical Exam</title>
    </head>
    <body id="mainBody">
        <div class="row col-md-12 main-div">
            <div class="col-md-3 sidemenu"></div>
            <div class="col-md-9 bodycontent"></div>
        </div>
    </body>
</html>
<script>
    var filePath = window.location.pathname.substring(0, window.location.pathname.lastIndexOf('/'))

    var operations = {
        loadFile: (str) => { return filePath + "/" + str; },
        loadLink: (file) => {
            var linked = document.createElement('link');
            linked.setAttribute('rel', 'stylesheet');
            linked.setAttribute('href', operations.loadFile(file));
            document.getElementById('mainHead').appendChild(linked);
        },
        loadScript: (file) => {
            var scripted = document.createElement('script');
            scripted.setAttribute('src', operations.loadFile(file));
            scripted.setAttribute('type', 'text/javascript');
            document.getElementById('mainBody').appendChild(scripted);
        },
        jqueryLoad: (callback) => {
            operations.loadScript('libs/scripts/jquery.min.js');
            setTimeout((event) => {
                callback();
            }, 1000)
        },
        preLoad: (callback) => {
            operations.loadLink('main/css/styles.css');
            operations.loadScript('main/scripts/questionnares/quest001.js');
            operations.loadScript('main/scripts/questionnares/quest002.js');
            operations.loadScript('main/scripts/questionnares/quest003.js');
            operations.loadScript('main/scripts/questionnares/quest004.js');
            operations.loadScript('main/scripts/questionnares/quest005.js');
            operations.loadScript('main/scripts/common/constants.js');
            setTimeout((event) => {
                callback();
            }, 1000)
        }
    }

    operations.jqueryLoad(() => {
        operations.loadLink('libs/css/bootstrap.min.css');
        operations.loadScript('libs/scripts/bootstrap.min.js');
        
        operations.preLoad(()=> {
            operations.loadScript('main/scripts/main.js');
        })
    });
</script>